Bug 225799 - Merge Review: gimp
Merge Review: gimp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:44 EST by Nobody's working on this, feel free to take it
Modified: 2008-09-24 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 11:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 552601 None None None Never

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:44:27 EST
Fedora Merge Review: gimp

http://cvs.fedora.redhat.com/viewcvs/devel/gimp/
Initial Owner: nphilipp@redhat.com
Comment 1 Jon Ciesla 2008-09-16 13:14:47 EDT
rpmlint on SRPM:

gimp.src: E: non-utf8-spec-file /tmp/gimp-2.4.7-1.fc9.src.rpm.25429/gimp.spec
The character encoding of the spec file is not UTF-8.  Convert it for example
using iconv(1).

Fix.

gimp.src:60: W: unversioned-explicit-obsoletes gimp2
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

gimp.src:156: W: unversioned-explicit-obsoletes gimp2-devel
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

These are PROBABLY Ok.

gimp.src:439: E: files-attr-not-set
A file or a directory entry in a %files section does not have attributes set
which may result in security issues in the resulting binary package depending
on the system where the package is built.  Add default attributes using
%defattr before it in the %files section, or use per line %attr's.

Fix.

gimp.src:1282: W: macro-in-%changelog files
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

gimp.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 198)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

gimp.src: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.


Cosmetic, but worth fixing.

rpmlint on RPMS:

gimp.i386: E: non-executable-script /usr/lib/gimp/2.0/plug-ins/pyconsole.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

Fix.

gimp.i386: W: file-not-utf8 /usr/share/doc/gimp-2.4.7/Wilber_Construction_Kit.xcf.gz
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

gimp.i386: W: file-not-utf8 /usr/share/doc/gimp-2.4.7/Wilber.xcf.gz
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile for example using iconv(1).

gimp.i386: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

Fix.

gimp.i386: W: obsolete-not-provided gimp2
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

gimp.i386: W: obsolete-not-provided gimp-beta
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

gimp.i386: W: obsolete-not-provided gimp-perl
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

Fix.

gimp-debuginfo.i386: E: script-without-shebang /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_ncsa.y
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

gimp-debuginfo.i386: W: spurious-executable-perm /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_command.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

gimp-debuginfo.i386: W: spurious-executable-perm /usr/src/debug/gimp-2.4.7/plug-ins/common/dog.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

gimp-debuginfo.i386: E: script-without-shebang /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_csim.l
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

gimp-debuginfo.i386: E: script-without-shebang /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_csim.y
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

gimp-debuginfo.i386: W: spurious-executable-perm /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_taglist.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

gimp-debuginfo.i386: E: script-without-shebang /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_ncsa.l
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

gimp-debuginfo.i386: W: spurious-executable-perm /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_command.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

gimp-debuginfo.i386: E: script-without-shebang /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_cern.l
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

gimp-debuginfo.i386: E: script-without-shebang /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_cern.y
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

Fix in setup.

gimp-debuginfo.i386: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

gimp-devel.i386: W: no-dependency-on gimp/gimp-libs/libgimp

What's this about?

gimp-devel.i386: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

Fix.

gimp-devel.i386: W: obsolete-not-provided gimp2-devel
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

gimp-devel.i386: W: obsolete-not-provided gimp-beta-devel
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a
compatible replacement for the old one, leave out the provides.

Fix.

gimp-libs.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

Fix, if available. 

gimp-libs.i386: E: tag-not-utf8 %changelog
The character encoding of the value of this tag is not UTF-8.

Fix.

Otherwise, full review looks good, no other blockers.  Conducting local mock rawhide build to test BuildRequires, lengthy, will post back.  I expect it'll be fine.
Comment 2 Jon Ciesla 2008-09-16 16:26:32 EDT
Mock build good, BRs are fine.
Comment 3 Nils Philippsen 2008-09-17 04:35:01 EDT
Hi Jon,

I'll do this in Rawhide, I'll probably only do an update in released versions when there's a new version upstream.

(In reply to comment #1)
> rpmlint on SRPM:
> 
> gimp.src: E: non-utf8-spec-file /tmp/gimp-2.4.7-1.fc9.src.rpm.25429/gimp.spec
> The character encoding of the spec file is not UTF-8.  Convert it for example
> using iconv(1).
> 
> Fix.

fixed

> gimp.src:60: W: unversioned-explicit-obsoletes gimp2
> The specfile contains an unversioned Obsoletes: token, which will match all
> older, equal and newer versions of the obsoleted thing.  This may cause update
> problems, restrict future package/provides naming, and may match something it
> was originally not inteded to match -- make the Obsoletes versioned if
> possible.
> 
> gimp.src:156: W: unversioned-explicit-obsoletes gimp2-devel
> The specfile contains an unversioned Obsoletes: token, which will match all
> older, equal and newer versions of the obsoleted thing.  This may cause update
> problems, restrict future package/provides naming, and may match something it
> was originally not inteded to match -- make the Obsoletes versioned if
> possible.
> 
> These are PROBABLY Ok.

fixed anyway

> gimp.src:439: E: files-attr-not-set
> A file or a directory entry in a %files section does not have attributes set
> which may result in security issues in the resulting binary package depending
> on the system where the package is built.  Add default attributes using
> %defattr before it in the %files section, or use per line %attr's.
> 
> Fix.

Probably a bug in rpmlint -- this is the "%else" line in this block:

%if %{with static}
%files devel -f gimp-static-files
%else
%files devel
%endif

> gimp.src:1282: W: macro-in-%changelog files
> Macros are expanded in %changelog too, which can in unfortunate cases lead to
> the package not building at all, or other subtle unexpected conditions that
> affect the build.  Even when that doesn't happen, the expansion results in
> possibly "rewriting history" on subsequent package revisions and generally odd
> entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
> %changelog altogether, or use two '%'s to escape them, like '%%foo'.

quoted
 
> gimp.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 198)
> The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
> annoyance.  Use either spaces or tabs for indentation, not both.

spaces

> gimp.src: E: tag-not-utf8 %changelog
> The character encoding of the value of this tag is not UTF-8.
> 
> 
> Cosmetic, but worth fixing.

fixed with conversion to UTF-8

> rpmlint on RPMS:
> 
> gimp.i386: E: non-executable-script /usr/lib/gimp/2.0/plug-ins/pyconsole.py
> 0644
> This text file contains a shebang or is located in a path dedicated for
> executables, but lacks the executable bits and cannot thus be executed.  If
> the file is meant to be an executable script, add the executable bits,
> otherwise remove the shebang or move the file elsewhere.
> 
> Fix.

fixed and filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=552601

> gimp.i386: W: file-not-utf8
> /usr/share/doc/gimp-2.4.7/Wilber_Construction_Kit.xcf.gz
> The character encoding of this file is not UTF-8.  Consider converting it in
> the specfile for example using iconv(1).
> 
> gimp.i386: W: file-not-utf8 /usr/share/doc/gimp-2.4.7/Wilber.xcf.gz
> The character encoding of this file is not UTF-8.  Consider converting it in
> the specfile for example using iconv(1).

bogus error, these are binary example files

> gimp.i386: E: tag-not-utf8 %changelog
> The character encoding of the value of this tag is not UTF-8.
> 
> Fix.

see above

> gimp.i386: W: obsolete-not-provided gimp2
> If a package is obsoleted by a compatible replacement, the obsoleted package
> must also be provided in order to provide clean upgrade paths and not cause
> unnecessary dependency breakage.  If the obsoleting package is not a
> compatible replacement for the old one, leave out the provides.
> 
> gimp.i386: W: obsolete-not-provided gimp-beta
> If a package is obsoleted by a compatible replacement, the obsoleted package
> must also be provided in order to provide clean upgrade paths and not cause
> unnecessary dependency breakage.  If the obsoleting package is not a
> compatible replacement for the old one, leave out the provides.

removed these unneeded obsoletes

> gimp.i386: W: obsolete-not-provided gimp-perl
> If a package is obsoleted by a compatible replacement, the obsoleted package
> must also be provided in order to provide clean upgrade paths and not cause
> unnecessary dependency breakage.  If the obsoleting package is not a
> compatible replacement for the old one, leave out the provides.
> 
> Fix.

bogus, the package doesn't provide that functionality anymore

> gimp-debuginfo.i386: E: script-without-shebang
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_ncsa.y
> This text file has executable bits set or is located in a path dedicated for
> executables, but lacks a shebang and cannot thus be executed.  If the file is
> meant to be an executable script, add the shebang, otherwise remove the
> executable bits or move the file elsewhere.
> 
> gimp-debuginfo.i386: W: spurious-executable-perm
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_command.h
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.
> 
> gimp-debuginfo.i386: W: spurious-executable-perm
> /usr/src/debug/gimp-2.4.7/plug-ins/common/dog.c
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.
> 
> gimp-debuginfo.i386: E: script-without-shebang
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_csim.l
> This text file has executable bits set or is located in a path dedicated for
> executables, but lacks a shebang and cannot thus be executed.  If the file is
> meant to be an executable script, add the shebang, otherwise remove the
> executable bits or move the file elsewhere.
> 
> gimp-debuginfo.i386: E: script-without-shebang
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_csim.y
> This text file has executable bits set or is located in a path dedicated for
> executables, but lacks a shebang and cannot thus be executed.  If the file is
> meant to be an executable script, add the shebang, otherwise remove the
> executable bits or move the file elsewhere.
> 
> gimp-debuginfo.i386: W: spurious-executable-perm
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_taglist.h
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.
> 
> gimp-debuginfo.i386: E: script-without-shebang
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_ncsa.l
> This text file has executable bits set or is located in a path dedicated for
> executables, but lacks a shebang and cannot thus be executed.  If the file is
> meant to be an executable script, add the shebang, otherwise remove the
> executable bits or move the file elsewhere.
> 
> gimp-debuginfo.i386: W: spurious-executable-perm
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_command.c
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.
> 
> gimp-debuginfo.i386: E: script-without-shebang
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_cern.l
> This text file has executable bits set or is located in a path dedicated for
> executables, but lacks a shebang and cannot thus be executed.  If the file is
> meant to be an executable script, add the shebang, otherwise remove the
> executable bits or move the file elsewhere.
> 
> gimp-debuginfo.i386: E: script-without-shebang
> /usr/src/debug/gimp-2.4.7/plug-ins/imagemap/imap_cern.y
> This text file has executable bits set or is located in a path dedicated for
> executables, but lacks a shebang and cannot thus be executed.  If the file is
> meant to be an executable script, add the shebang, otherwise remove the
> executable bits or move the file elsewhere.
> 
> Fix in setup.

These are issues with the source files which I won't fix in the package (no harm done by having it broken) -- this has been fixed upstream already in the 2.5.x versions.

> gimp-debuginfo.i386: E: tag-not-utf8 %changelog
> The character encoding of the value of this tag is not UTF-8.

caught by UTF-8 conversion

> gimp-devel.i386: W: no-dependency-on gimp/gimp-libs/libgimp
> 
> What's this about?

Probably that I use an arch-specific requires line:

Requires:       gimp-libs-%{_arch} = %{?epoch:%{epoch}:}%{version}-%{release}

Bogus, but I can't think of how to fix rpmlint.

> gimp-devel.i386: E: tag-not-utf8 %changelog
> The character encoding of the value of this tag is not UTF-8.
> 
> Fix.

UTF-8 conversion....

> gimp-devel.i386: W: obsolete-not-provided gimp2-devel
> If a package is obsoleted by a compatible replacement, the obsoleted package
> must also be provided in order to provide clean upgrade paths and not cause
> unnecessary dependency breakage.  If the obsoleting package is not a
> compatible replacement for the old one, leave out the provides.
> 
> gimp-devel.i386: W: obsolete-not-provided gimp-beta-devel
> If a package is obsoleted by a compatible replacement, the obsoleted package
> must also be provided in order to provide clean upgrade paths and not cause
> unnecessary dependency breakage.  If the obsoleting package is not a
> compatible replacement for the old one, leave out the provides.
> 
> Fix.

See above.

> gimp-libs.i386: W: no-documentation
> The package contains no documentation (README, doc, etc). You have to include
> documentation files.
> 
> Fix, if available. 

No special docs about the library, it's all in the application.

> gimp-libs.i386: E: tag-not-utf8 %changelog
> The character encoding of the value of this tag is not UTF-8.
> 
> Fix.

See above.

> Otherwise, full review looks good, no other blockers.  Conducting local mock
> rawhide build to test BuildRequires, lengthy, will post back.  I expect it'll
> be fine.
Comment 4 Nils Philippsen 2008-09-17 04:41:33 EDT
NB: Due to the non-executable pyconsole thing, I'll build this is 2.4.7-2 on F-8 and F-9 as well.
Comment 5 Nils Philippsen 2008-09-17 09:30:09 EDT
(In reply to comment #3)

> > rpmlint on RPMS:
> > 
> > gimp.i386: E: non-executable-script /usr/lib/gimp/2.0/plug-ins/pyconsole.py
> > 0644
> > This text file contains a shebang or is located in a path dedicated for
> > executables, but lacks the executable bits and cannot thus be executed.  If
> > the file is meant to be an executable script, add the executable bits,
> > otherwise remove the shebang or move the file elsewhere.
> > 
> > Fix.
> 
> fixed and filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=552601

Upstream indicated that it's not intended to be executed directly, so I'll just remove the shebang line for the time being.
Comment 6 Jon Ciesla 2008-09-17 11:20:08 EDT
Awesome.  Thanks for being so responsive.

APPROVED.
Comment 7 Fedora Update System 2008-09-24 20:15:23 EDT
gimp-2.4.7-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-24 20:21:34 EDT
gimp-2.4.7-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.